## rush 0.1.0

=== DESCRIPTION ===
Package: rush
Title: Rapid Parallel and Distributed Computing
Version: 0.1.0
Authors@R: 
    person("Marc", "Becker", , "marcbecker@posteo.de", role = c("cre", "aut", "cph"),
           comment = c(ORCID = "0000-0002-8115-0400"))
Description: Parallel computing with a network of local and remote
    workers. Fast exchange of results between the workers through a
    'Redis' database. Key features include task queues, local caching, and
    sophisticated error handling.
URL: https://github.com/mlr-org/rush
BugReports: https://github.com/mlr-org/rush/issues
Depends: R (>= 3.1.0)
Imports: checkmate, data.table, jsonlite, lgr, mlr3misc, parallel,
        processx, redux, uuid
Suggests: callr, knitr, rmarkdown, testthat (>= 3.0.0)
Config/testthat/edition: 3
Config/testthat/parallel: false
Encoding: UTF-8
RoxygenNote: 7.3.1
License: MIT + file LICENSE
NeedsCompilation: no
Packaged: 2024-06-18 13:55:18 UTC; marc
Author: Marc Becker [cre, aut, cph] (<https://orcid.org/0000-0002-8115-0400>)
Maintainer: Marc Becker <marcbecker@posteo.de>
Repository: CRAN
Date/Publication: 2024-06-20 15:40:06 UTC

## rush 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rush
 Title: Rapid Parallel and Distributed Computing
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: 
     person("Marc", "Becker", , "marcbecker@posteo.de", role = c("cre", "aut", "cph"),
            comment = c(ORCID = "0000-0002-8115-0400"))
@@ -12,7 +12,7 @@
 BugReports: https://github.com/mlr-org/rush/issues
 Depends: R (>= 3.1.0)
 Imports: checkmate, data.table, jsonlite, lgr, mlr3misc, parallel,
-        processx, redux, uuid
+        processx, redux, R6, uuid
 Suggests: callr, knitr, rmarkdown, testthat (>= 3.0.0)
 Config/testthat/edition: 3
 Config/testthat/parallel: false
@@ -20,8 +20,8 @@
 RoxygenNote: 7.3.1
 License: MIT + file LICENSE
 NeedsCompilation: no
-Packaged: 2024-06-18 13:55:18 UTC; marc
+Packaged: 2024-07-05 11:11:05 UTC; marc
 Author: Marc Becker [cre, aut, cph] (<https://orcid.org/0000-0002-8115-0400>)
 Maintainer: Marc Becker <marcbecker@posteo.de>
 Repository: CRAN
-Date/Publication: 2024-06-20 15:40:06 UTC
+Date/Publication: 2024-07-05 11:30:02 UTC

## rush 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rush
 Title: Rapid Parallel and Distributed Computing
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: 
     person("Marc", "Becker", , "marcbecker@posteo.de", role = c("cre", "aut", "cph"),
            comment = c(ORCID = "0000-0002-8115-0400"))
@@ -17,11 +17,11 @@
 Config/testthat/edition: 3
 Config/testthat/parallel: false
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 License: MIT + file LICENSE
 NeedsCompilation: no
-Packaged: 2024-07-05 11:11:05 UTC; marc
+Packaged: 2024-11-06 16:16:51 UTC; marc
 Author: Marc Becker [cre, aut, cph] (<https://orcid.org/0000-0002-8115-0400>)
 Maintainer: Marc Becker <marcbecker@posteo.de>
 Repository: CRAN
-Date/Publication: 2024-07-05 11:30:02 UTC
+Date/Publication: 2024-11-06 16:30:02 UTC

## rush 0.2.0

=== DESCRIPTION ===
Package: rush
Title: Rapid Asynchronous and Distributed Computing
Version: 0.2.0
Authors@R: 
    person("Marc", "Becker", , "marcbecker@posteo.de", role = c("cre", "aut", "cph"),
           comment = c(ORCID = "0000-0002-8115-0400"))
Description: Package to tackle large-scale problems asynchronously across
    a distributed network. Employing a database centric model, rush
    enables workers to communicate tasks and their results over a shared
    'Redis' database. Key features include low task overhead, efficient
    caching, and robust error handling. The package powers the
    asynchronous optimization algorithms in the 'bbotk' and 'mlr3tuning'
    packages.
License: MIT + file LICENSE
URL: https://rush.mlr-org.com, https://github.com/mlr-org/rush
BugReports: https://github.com/mlr-org/rush/issues
Depends: R (>= 3.1.0)
Imports: checkmate, data.table, ids, jsonlite, lgr, mirai (>= 2.0.0),
        mlr3misc, parallel, processx, R6, redux, uuid
Suggests: callr, knitr, quarto, rmarkdown, testthat (>= 3.0.0)
Config/testthat/edition: 3
Config/testthat/parallel: false
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-05-30 08:21:40 UTC; marc
Author: Marc Becker [cre, aut, cph] (ORCID:
    <https://orcid.org/0000-0002-8115-0400>)
Maintainer: Marc Becker <marcbecker@posteo.de>
Repository: CRAN
Date/Publication: 2025-05-30 10:00:07 UTC

## rush 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rush
 Title: Rapid Asynchronous and Distributed Computing
-Version: 0.2.0
+Version: 0.3.0
 Authors@R: 
     person("Marc", "Becker", , "marcbecker@posteo.de", role = c("cre", "aut", "cph"),
            comment = c(ORCID = "0000-0002-8115-0400"))
@@ -15,17 +15,17 @@
 URL: https://rush.mlr-org.com, https://github.com/mlr-org/rush
 BugReports: https://github.com/mlr-org/rush/issues
 Depends: R (>= 3.1.0)
-Imports: checkmate, data.table, ids, jsonlite, lgr, mirai (>= 2.0.0),
-        mlr3misc, parallel, processx, R6, redux, uuid
+Imports: checkmate, data.table, ids, jsonlite, lgr (>= 0.5.0), mirai
+        (>= 2.0.0), mlr3misc, parallel, processx, R6, redux, uuid
 Suggests: callr, knitr, quarto, rmarkdown, testthat (>= 3.0.0)
 Config/testthat/edition: 3
 Config/testthat/parallel: false
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2025-05-30 08:21:40 UTC; marc
+Packaged: 2025-07-31 16:59:58 UTC; marc
 Author: Marc Becker [cre, aut, cph] (ORCID:
     <https://orcid.org/0000-0002-8115-0400>)
 Maintainer: Marc Becker <marcbecker@posteo.de>
 Repository: CRAN
-Date/Publication: 2025-05-30 10:00:07 UTC
+Date/Publication: 2025-07-31 17:30:02 UTC

## rush 0.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rush
 Title: Rapid Asynchronous and Distributed Computing
-Version: 0.3.0
+Version: 0.3.1
 Authors@R: 
     person("Marc", "Becker", , "marcbecker@posteo.de", role = c("cre", "aut", "cph"),
            comment = c(ORCID = "0000-0002-8115-0400"))
@@ -16,16 +16,16 @@
 BugReports: https://github.com/mlr-org/rush/issues
 Depends: R (>= 3.1.0)
 Imports: checkmate, data.table, ids, jsonlite, lgr (>= 0.5.0), mirai
-        (>= 2.0.0), mlr3misc, parallel, processx, R6, redux, uuid
+        (>= 2.5.0), mlr3misc, parallel, processx, R6, redux, uuid
 Suggests: callr, knitr, quarto, rmarkdown, testthat (>= 3.0.0)
 Config/testthat/edition: 3
 Config/testthat/parallel: false
 Encoding: UTF-8
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2025-07-31 16:59:58 UTC; marc
+Packaged: 2025-09-16 07:59:24 UTC; marc
 Author: Marc Becker [cre, aut, cph] (ORCID:
     <https://orcid.org/0000-0002-8115-0400>)
 Maintainer: Marc Becker <marcbecker@posteo.de>
 Repository: CRAN
-Date/Publication: 2025-07-31 17:30:02 UTC
+Date/Publication: 2025-09-16 08:10:02 UTC

## rush 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rush
 Title: Rapid Asynchronous and Distributed Computing
-Version: 0.3.1
+Version: 0.4.0
 Authors@R: 
     person("Marc", "Becker", , "marcbecker@posteo.de", role = c("cre", "aut", "cph"),
            comment = c(ORCID = "0000-0002-8115-0400"))
@@ -23,9 +23,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2025-09-16 07:59:24 UTC; marc
+Packaged: 2025-10-08 11:25:55 UTC; marc
 Author: Marc Becker [cre, aut, cph] (ORCID:
     <https://orcid.org/0000-0002-8115-0400>)
 Maintainer: Marc Becker <marcbecker@posteo.de>
 Repository: CRAN
-Date/Publication: 2025-09-16 08:10:02 UTC
+Date/Publication: 2025-10-08 11:40:02 UTC

## rush 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rush
 Title: Rapid Asynchronous and Distributed Computing
-Version: 0.4.0
+Version: 0.4.1
 Authors@R: 
     person("Marc", "Becker", , "marcbecker@posteo.de", role = c("cre", "aut", "cph"),
            comment = c(ORCID = "0000-0002-8115-0400"))
@@ -23,9 +23,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2025-10-08 11:25:55 UTC; marc
+Packaged: 2025-11-06 09:21:09 UTC; marc
 Author: Marc Becker [cre, aut, cph] (ORCID:
     <https://orcid.org/0000-0002-8115-0400>)
 Maintainer: Marc Becker <marcbecker@posteo.de>
 Repository: CRAN
-Date/Publication: 2025-10-08 11:40:02 UTC
+Date/Publication: 2025-11-06 09:30:02 UTC

## rush 1.7%2Bdfsg

=== debian/changelog ===
rush (1.7+dfsg-4) unstable; urgency=high

  * Standards 3.9.5, no changes.
  * Attend to CVE-2013-6889, file access escalation. (Closes: #733505)
    + debian/patches/cve_2013_6889.diff: New file.
  * Fix a problem with translated help message.
    + debian/patches/help_text.diff: New file.
  * Minor update to manual pages of rushlast and rushwho.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 24 Jan 2014 13:32:24 +0100

rush (1.7+dfsg-3) unstable; urgency=low

  * debian/control: Standards 3.9.4, no changes needed.
    + Provide a better link for the field Homepage.
  * debian/rules: Add '--disable-silent-rules.'
  * Security of chrooted execution:
    + debian/patches/chroot_then_chdir.diff: New file.
  * FTBFS with eglibc-2.17: (Closes: #701417)
    Patch crafted by Daniel T Chen <crimsun@ubuntu.org>.
    + debian/patches/gets_removed.diff: New file.
  * Improve manual pages:
    + Include link to external manuals. (Closes: #708935)
    + debian/local/rush.8: Updated.
    + debian/local/rushlast.1: Updated.
    + debian/local/rushwho.1: Updated.
  * debian/local/mkchroot-rush.pl: Updated version.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 25 May 2013 01:28:25 +0200

rush (1.7+dfsg-2) experimental; urgency=low

  * Hardened builds:
    + debian/rules: Set compiler flags using dpkg-buildflags.
    + debian/control: Build depends on dpkg-dev (>= 1.15.7).
  * debian/control: Standards 3.9.3, no changes.
  * debian/copyright:
    + Update to valid URL in format specification.
    + Remove commata in file lists.
    + Insert conditions of two "public-domain" attributions.
    + Add plus character in standalone license's names
      "GPL-2+" and "GPL-3+". Express terms of the former.
    + The file "po/Makefile.in.in" was mistakenly named as
      using GPL. In fact, the file uses a custom license,
      implicitly public domain like. The conditions of use
      are now copied verbatim.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 02 Aug 2012 20:45:15 +0200

rush (1.7+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #515198)

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 06 Jul 2011 17:47:00 +0200

## rush 1.7+dfsg

=== debian/control ===
Source: rush
Section: shells
Priority: extra
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, autopoint,
 dpkg-dev (>= 1.15.7)
Standards-Version: 3.9.5
Homepage: http://puszcza.gnu.org.ua/software/rush/

Package: rush
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xinetd | inetutils-inetd
Description: restricted user shell
 GNU Rush is a restricted shell designed for sites providing only
 limited access to resources for remote users. The main binary
 executable is configurable as a user login shell, intended for
 users that only are allowed remote login to the system at hand.
 .
 A notification service can be implemented individually for each
 provided client service, using the TCPMUX support found within
 xinetd, or inetutils-inetd.
 .
 The standard use is to create access to a chrooted target directory,
 typically providing arbitrary combinations of scp, sftp, rsync,
 cvs, svn, and git. Each service may be further restricted in its
 capabilities. The administrator configures pattern matching rules
 for manipulating any incoming request.
 .
 The present restricted shell is an alternative to the well known
 "rssh" package, which provides similar capabilities.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
export CPPFLAGS CFLAGS LDFLAGS

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./configure CFLAGS="-Wall ${CFLAGS}" LDFLAGS="${LDFLAGS}" \
			--disable-silent-rules \
			--prefix=/usr \
			--sysconfdir=/etc \
			--localstatedir=/var/lib

override_dh_auto_install:
	dh_auto_install
	# Assign 'setuid' flag; see README.Debian
	chmod 04755 debian/rush/usr/sbin/rush

override_dh_fixperms:
	# Do not reset the manually set 'setuid' flag!
	dh_fixperms --exclude usr/sbin/rush

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg$// \
  http://download.gnu.org.ua/pub/release/rush/rush-([0-9.]+)\.tar\.gz	debian	uupdate

## rush 1.8+dfsg

=== debian/changelog ===
rush (1.8+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to latest intprops.h from gnulib, fixes FTBFS with gcc 7.
    (Closes: #853649)

 -- Adrian Bunk <bunk@debian.org>  Fri, 20 Oct 2017 19:38:32 +0300

rush (1.8+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Increase hardening level.
    + debian/rules: Updated.
  * Verifying original source archive while rebuilding it.
    + debian/rules: Expand target 'get-orig-source' with a step that
      verifies the source archive fetched from upstream's location.
    + debian/upstream/signing-key.asc: New file.
    + debian/watch: Add pgpsigurlmangle to option variable.
  * Review patches.
    + debian/patches/dfsg_reduction.diff: Updated.
    + debian/patches/tcpmux_service.diff: Updated, partially applied.
    + debian/patches/chroot_then_chdir.diff: Updated.
    + debian/patches/gets_removed.diff: Obsolete.
    + debian/patches/cve_2013_6889.diff: Removed, applied by Upstream.
    + debian/patches/help_text.diff: Likewise.
    + debian/patches/format_security.diff: New file.
  * Upstream author now provides manual pages.
    + debian/patches/manpages.diff: New file.
    + debian/rules: Preserve the manual pages during target get-orig-source.
      Override dh_installman.
    + debian/rush.manpages: Refresh list.
  * debian/copyright: Update and insert new field Files-Excluded.
  * [lintian] Mend spelling errors in README.Debian.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 13 Dec 2016 00:37:55 +0100

rush (1.7+dfsg-5) unstable; urgency=low

  * Set Standards-Version to 3.9.8, no changes.
  * Use debhelper in compatibility level 9.
  * debian/copyright: Distinguish two different custom licenses by means
    of two different names and some small comments.
  * Prevent linking collision of identifier 'base_name'.  (Closes: #751627)
    + debian/patches/duplicate_symbol.diff: New file.
  * debian/rules: Implement a target 'get-orig-source'.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 11 Apr 2016 23:10:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: shells
 Priority: extra
 Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
-Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, autopoint,
+Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint,
  dpkg-dev (>= 1.15.7)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://puszcza.gnu.org.ua/software/rush/
 
 Package: rush

=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell dpkg-parsechangelog | sed -n '/^Version:/ {s/.*: //; s/+.*//; p;}')
ORIGDIR = rush-$(VERSION)
TARBALL = $(ORIGDIR).tar
TARLOC  = ftp://download.gnu.org.ua/pub/release/rush/$(TARBALL).gz

TARNAME = rush_$(VERSION)+dfsg.orig.tar

DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./configure CFLAGS="-Wall ${CFLAGS}" LDFLAGS="${LDFLAGS}" \
			--disable-silent-rules \
			--prefix=/usr \
			--sysconfdir=/etc \
			--localstatedir=/var/lib

override_dh_installman:
	dh_installman --language=C

override_dh_auto_install:
	dh_auto_install
	# Assign 'setuid' flag; see README.Debian
	chmod 04755 debian/rush/usr/sbin/rush

override_dh_fixperms:
	# Do not reset the manually set 'setuid' flag!
	dh_fixperms --exclude usr/sbin/rush

get-orig-source:
	# Fetch released archive from upstream's location.
	rm -rf   $(ORIGDIR)
	wget -N  $(TARLOC)
	wget -N  $(TARLOC).sig
	# Verify archive against our stored key, which is armoured,
	# hence must first be converted into a keyring file.
	if command -v gpgv >/dev/null && command -v gpg >/dev/null; then \
		GNUHOME=$$(mktemp -d gnuhome.XXXXXXXXXX); \
		gpg --homedir $$GNUHOME --no-options -q --batch \
		    --no-default-keyring --dearmor \
		    -o $$GNUHOME/trustedkeys.gpg \
			debian/upstream/signing-key.asc ; \
		gpgv --homedir=$$GNUHOME \
		     --keyring=$$GNUHOME/trustedkeys.gpg \
			$(TARBALL).gz.sig $(TARBALL).gz ; \
		rm -r $$GNUHOME ; \
	fi
	# Expand archive and preserve its time stamp.
	tar -xzf $(TARBALL).gz
	touch -r $(ORIGDIR) stamp
	# Remove the GFDL licensed part.
	mkdir    $(ORIGDIR)/man
	find     $(ORIGDIR)/doc -type f -name '*\.[0-9]' \
			-exec mv {} $(ORIGDIR)/man \;
	rm -rf   $(ORIGDIR)/doc/
	mv       $(ORIGDIR)/man $(ORIGDIR)/doc
	touch -r stamp $(ORIGDIR)/doc
	touch -r stamp $(ORIGDIR)
	# Repackage at best compression.  Compress reproducibly.
	tar -H ustar -chf  $(TARNAME) $(ORIGDIR)
	rm -f      $(TARNAME).gz
	gzip -n -9 $(TARNAME)
	rm -rf     stamp $(ORIGDIR)

=== debian/watch ===
version=3

opts=dversionmangle=s|\+dfsg$||,pgpsigurlmangle=s|(.*)|$1.sig| \
  http://download.gnu.org.ua/pub/release/rush/rush-([0-9.]+)\.tar\.gz	debian	uupdate

## rush 2.3

=== debian/changelog ===
rush (2.3-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-s390x ftbfs patch

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 19 Jul 2022 22:27:03 +0800

rush (2.2-2) unstable; urgency=medium

  * Fix ftbfs on s390x (Closes: #1014846)
  * Update upstream metafile

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 14 Jul 2022 15:30:00 +0800

rush (2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1001091)
  * Fix rush FTCBFS (Closes: #929160)
  * Update Standards-Version to 4.6.1
  * Drop debian/patches/intprops.patch (applied upstream)
  * Drop debian/patches/format_security.diff (applied upstream)
  * Refactor manpages patch
  * Move to debhelper-compat (= 13)
  * Add Vcs-* in d/control
  * Add Build-Depends: texinfo
  * Remove Build-Depends: dh-autoreconf, autopoint, dpkg-dev
  * Add myself as maintainer (Closes: #1012205)
  * tiny d/watch file

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 06 Jun 2022 12:17:42 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: rush
 Section: shells
-Priority: extra
-Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
-Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint,
- dpkg-dev (>= 1.15.7)
-Standards-Version: 3.9.8
-Homepage: http://puszcza.gnu.org.ua/software/rush/
+Priority: optional
+Maintainer: Bo YU <tsu.yubo@gmail.com>
+Build-Depends: debhelper-compat (= 13), texinfo
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/debian/rush
+Vcs-Git: https://salsa.debian.org/debian/rush.git
+Homepage: https://puszcza.gnu.org.ua/software/rush/
 
 Package: rush
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure CFLAGS="-Wall ${CFLAGS}" LDFLAGS="${LDFLAGS}"

override_dh_installman:
	dh_installman --language=C

override_dh_auto_install:
	dh_auto_install
	# Assign 'setuid' flag; see README.Debian
	chmod 04755 debian/rush/usr/sbin/rush

override_dh_fixperms:
	# Do not reset the manually set 'setuid' flag!
	dh_fixperms --exclude usr/sbin/rush

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s|(.*)|$1.sig| \
  https://download.gnu.org.ua/pub/release/rush/rush-([0-9.]+)\.tar\.gz

## rush 2.4

=== debian/changelog ===
rush (2.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update lintian override info to new format on line 1.

  [ Bo YU ]
  * Update upstream sig
  * New upstream version 2.4
  * Rebase debian/patches/*
  * Update debian/upstream/signing-key.asc
  * Add metadata for debian/patch/*.
  * Set std-ver to 4.7.0
  * Add Allow-for-contiguous-limit-spec.patch to fix
    configuration error. (Closes: #1034415)
  * Update rush.rc from upstream also
  * Add byacc and bison on B-D.
  * Add Rules-Requires-Root: no
  * Correct spell error again.
  * fix bin-sbin-mismatch lintian info
  * Update year of debian copyright

  [ Sergey Poznyakoff ]
  * Complete rewrite of the mkchroot script
  * README.mkchroot: New file.
  * mkchroot: New file.
  * mkchroot.conf: New file.
  * README.mkchroot-rush: Removed.
  * mkchroot-rush.conf: Removed.
  * mkchroot-rush.pl: Removed.
  * Update manpages

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 09 Oct 2024 00:11:18 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: shells
 Priority: optional
 Maintainer: Bo YU <tsu.yubo@gmail.com>
-Build-Depends: debhelper-compat (= 13), texinfo
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), texinfo, byacc, bison
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/rush
 Vcs-Git: https://salsa.debian.org/debian/rush.git
 Homepage: https://puszcza.gnu.org.ua/software/rush/
+Rules-Requires-Root: no
 
 Package: rush
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure CFLAGS="-Wall ${CFLAGS}" LDFLAGS="${LDFLAGS}"
